Package weka.attributeSelection

# Interface SubsetEvaluator

All Known Implementing Classes:
  `CfsSubsetEval`, `ClassifierSubsetEval`, `ConsistencySubsetEval`, `CostSensitiveSubsetEval`, `FilteredSubsetEval`, `HoldOutSubsetEvaluator`, `UnsupervisedSubsetEvaluator`, `WrapperSubsetEval`

public interface SubsetEvaluator
Interface for attribute subset evaluators.

Version:
  $Revision: 1.11 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`double`
`evaluateSubset(BitSet subset)`
evaluates a subset of attributes

## Method Details

### evaluateSubset

double evaluateSubset(BitSet subset) throws Exception
evaluates a subset of attributes

Parameters:
  `subset` - a bitset representing the attribute subset to be evaluated
Returns:
  the "merit" of the subset
Throws:
  `Exception` - if the subset could not be evaluated